FILE_TABLE_INIT(9)

NAME
file_table_init - initializes the file table in the kernel

SYNOPSIS
linux/fs/file_table.c
unsigned long file_table_init(unsigned long start, unsigned long end);

DESCRIPTION
This routine is called from kernel_start() in linux/init/main.c. It sets first_file, a struct file pointer, to NULL. This is the head of the linked list of open files maintained in the kernel, the infamous file table in all UNIXs.

RETURN VALUE
Returns start

NOTES
Since this is part of the kernel's startup routine, it has the option to allocate memory, in kernel space, for itself. It does not need to do this and returns the new start of memory for the next initializing section. In this case, start is returned unmodified.

AUTHOR
Linus Torvalds